﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <style type="text/css">
        html, body, form
        {
            margin:0;
            padding:0;
            height:100%;    
        }
        /*hide the Undock button from the first panes Title Bar*/
        #<%= Expanding_CONTENT1.ClientID %> .rspSlideHeaderUndockIcon
        {
            display: none !important;    
        }
    </style>
    </telerik:RadCodeBlock>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server" />
    <telerik:RadSplitter ID="RadSplitter1" runat="server" Skin="Vista" Width="100%" OnClientLoaded="OnClientLoaded" OnClientResized="OnClientResized">
        <telerik:RadPane ID="LeftPane" runat="server" Scrolling="None" Width="58%">
            <telerik:RadSlidingZone ID="Zone1" runat="server" Width="22px" ClickToOpen="true">
                <telerik:RadSlidingPane ID="Expanding_CONTENT1" Title="Pane1" runat="server" Scrolling="None" DockOnOpen="true">
                </telerik:RadSlidingPane>
                <telerik:RadSlidingPane ID="Expanding_CONTENT2" Title="Pane2" runat="server" Scrolling="None" EnableDock="false">
                </telerik:RadSlidingPane>
            </telerik:RadSlidingZone>
        </telerik:RadPane>
        <telerik:RadSplitBar runat="server" ID="SplitBar1" CollapseMode="Both" />
        <telerik:RadPane ID="RightPane_AlwaysOpen" runat="server" Scrolling="None" Width="38%">
        </telerik:RadPane>
    </telerik:RadSplitter>

    <script type="text/javascript">
        function OnClientLoaded()
        {
            sizeSlidingPanes();
            var slidingZone = $find("<%=Zone1.ClientID %>");
            slidingZone.expandPane("<%=Expanding_CONTENT1.ClientID%>");//expand sliding pane after recalculating its width
        }
        function OnClientResized()
        {
            sizeSlidingPanes();
        }
        function sizeSlidingPanes()
        {
            var slidingZone = $find("<%=Zone1.ClientID %>");
            var pane = slidingZone.get_parent();//get reference to the pane containing the sliding zone
            var width = pane.get_width();//get pane's calculated width
            for (var i = 0; i < slidingZone.getPanes().length; i++)
            {
                slidingZone.getPanes()[i].set_width(parseInt(width) - 22); //Size the sliding pane's to match parent pane's width (22px is the default size of the Tabs)
            }
        }
    </script>
    </form>
</body>
</html>
